From b725d5a933d41190aec995eb1b38e57af82426f0 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 21 2020 04:29:47 +0000
Subject: [PATCH 1748/2232] Touch up PR 550


---

diff --git a/gen/src/write.rs b/gen/src/write.rs
index 4b95613..89e6ddd 100644
--- a/gen/src/write.rs
+++ b/gen/src/write.rs
@@ -1,13 +1,14 @@
+use crate::gen::block::Block;
 use crate::gen::nested::NamespaceEntries;
 use crate::gen::out::OutFile;
 use crate::gen::{builtin, include, Opt};
 use crate::syntax::atom::Atom::{self, *};
 use crate::syntax::symbol::Symbol;
+use crate::syntax::types::TrivialReason;
 use crate::syntax::{
     derive, mangle, Api, Enum, ExternFn, ExternType, Pair, RustName, Signature, Struct, Trait,
     Type, Types, Var,
 };
-use crate::{gen::block::Block, syntax::types::TrivialReason};
 use proc_macro2::Ident;
 use std::collections::{HashMap, HashSet};
 
diff --git a/syntax/types.rs b/syntax/types.rs
index 5ea59cf..d1cccf0 100644
--- a/syntax/types.rs
+++ b/syntax/types.rs
@@ -6,7 +6,8 @@ use crate::syntax::{
 };
 use proc_macro2::Ident;
 use quote::ToTokens;
-use std::{collections::BTreeMap as Map, fmt::Display};
+use std::collections::BTreeMap as Map;
+use std::fmt::Display;
 
 pub struct Types<'a> {
     pub all: Set<&'a Type>,
@@ -186,7 +187,7 @@ impl<'a> Types<'a> {
                     let reason = TrivialReason::StructField(strct);
                     for field in &strct.fields {
                         if let Type::Ident(ident) = &field.ty {
-                            insist_extern_types_are_trivial(&ident, reason);
+                            insist_extern_types_are_trivial(ident, reason);
                         }
                     }
                 }
@@ -194,13 +195,13 @@ impl<'a> Types<'a> {
                     let reason = TrivialReason::FunctionArgument(efn);
                     for arg in &efn.args {
                         if let Type::Ident(ident) = &arg.ty {
-                            insist_extern_types_are_trivial(&ident, reason);
+                            insist_extern_types_are_trivial(ident, reason);
                         }
                     }
                     if let Some(ret) = &efn.ret {
                         let reason = TrivialReason::FunctionReturn(efn);
                         if let Type::Ident(ident) = &ret {
-                            insist_extern_types_are_trivial(&ident, reason);
+                            insist_extern_types_are_trivial(ident, reason);
                         }
                     }
                 }
@@ -212,13 +213,13 @@ impl<'a> Types<'a> {
                 Type::RustBox(ty) => {
                     let reason = TrivialReason::BoxTarget;
                     if let Type::Ident(ident) = &ty.inner {
-                        insist_extern_types_are_trivial(&ident, reason);
+                        insist_extern_types_are_trivial(ident, reason);
                     }
                 }
                 Type::RustVec(ty) => {
                     let reason = TrivialReason::VecElement;
                     if let Type::Ident(ident) = &ty.inner {
-                        insist_extern_types_are_trivial(&ident, reason);
+                        insist_extern_types_are_trivial(ident, reason);
                     }
                 }
                 _ => {}
@@ -237,7 +238,7 @@ impl<'a> Types<'a> {
                         if let Type::Ref(reff) = &arg.ty {
                             if reff.mutable && !reff.pinned {
                                 if let Type::Ident(ident) = &reff.inner {
-                                    insist_extern_types_are_trivial(&ident, reason);
+                                    insist_extern_types_are_trivial(ident, reason);
                                 }
                             }
                         }

